Summary:	Perl modules for ldap
Name:		perl-ldap
Version:	0.34
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{version}.tar.bz2
Patch0:		perl-ldap-make_test_config_fixes.diff
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:  perl(Convert::ASN1)
BuildRequires:  perl(Authen::SASL)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::HMAC_MD5)
BuildRequires:  perl(GSSAPI)
BuildRequires:  perl(URI::ldap)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(XML::SAX::Writer)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(XML::Filter::BufferText)
BuildRequires:  openldap-servers
Requires:	perl-Authen-SASL >= 2.00
Requires:	perl-XML-Parser
Requires:	perl-Convert-ASN1 >= 0.07
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

# perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"
chmod 644 contrib/*

cat > test.cfg << EOF
\$SERVER_EXE = "%{_sbindir}/slapd";
\$SERVER_TYPE = "openldap2+ssl+ipc+sasl";
\$SLAPD_DB = "bdb";
\$HOST = "127.0.0.1";
\$SCHEMA_DIR = "%{_datadir}/openldap/schema";
\$EXTERNAL_TESTS = 0;
1;
EOF

%build
find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README contrib
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.34-3mdv2008.1
+ Revision: 180848
- added P0 to make the tests pass

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.34-3mdv2008.0
+ Revision: 92382
- enable all the tests
- fix build deps (perl(XML::Filter::BufferText))
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.34


* Mon May 01 2006 Scott Karns <scottk@mandriva.org> 0.33-3mdk
- Update source URL and BuildRequires to meet Mandriva perl packaging
  policies

* Tue Feb 21 2006 Stefan van der Eijk <stefan@eijk.nu> 0.33-2mdk
- BuildRequires

* Mon Feb 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.33-1mdk
- 0.33, and get rid of real_version macro, using upstream version instead
- Fix and shorten description
- Fix URL, licence and permissions

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- own dirs

* Wed Jan 28 2004 Vincent Guardiola <vguardiola@mandrakesoft.com> 0.31-1mdk
- 0.31.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 0.29-1mdk
- 0.29.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.28-2mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..
- quiet setup

* Fri May 23 2003 Franois Pons <fpons@mandrakesoft.com> 0.28-1mdk
- 0.28.

